# MTSCRAConfig Class Methods

This class provides methods to retrieve configuration parameters from the server.

#### getConfigurationXML <a href="#id-4.1_getconfigurationxml" id="id-4.1_getconfigurationxml"></a>

This method retrieves the configuration parameters from the server as an XML data. The method will throw an exception if there is a problem with retrieving the configuration XML.

```
public String getConfigurationXML( 
    String username, 
    String password, 
    int readerType, 
    SCRAConfigurationDeviceInfo deviceInfo, 
    String address, 
    int timeout) throws MTSCRAException
```

Parameters:

<table data-header-hidden><thead><tr><th width="163.09088134765625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">username</td><td valign="top">String value of the username.</td></tr><tr><td valign="top">password</td><td valign="top">String value of the password.</td></tr><tr><td valign="top">readerType</td><td valign="top">Integer value indicating the type of reader device.</td></tr><tr><td valign="top">deviceInfo</td><td valign="top">SCRAConfigurationDeviceInfo value containing information pertaining to the device.</td></tr><tr><td valign="top">address</td><td valign="top">String value of the address for connection to the server.</td></tr><tr><td valign="top">timeout</td><td valign="top">Integer value of the timeout in seconds for connection to the server.</td></tr></tbody></table>

Return Value:

String value of the configuration parameters retrieved from the server.

#### getConfigurationResponse <a href="#id-4.2_getconfigurationresponse" id="id-4.2_getconfigurationresponse"></a>

This method retrieves the configuration parameters from XML data as a ProcessMessageResponse object. The method will throw an exception if there is a problem with retrieving the configuration XML.

```
public ProcessMessageResponse getConfigurationResponse( 
    String xmlConfig) throws MTSCRAException
```

Parameters:

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">xmlConfig</td><td valign="top">String value of the the configuration parameters from the server.</td></tr></tbody></table>

Return Value:&#x20;

ProcessMessageResponse containing the configuration parameters.

#### getConfigurationParams <a href="#id-4.3_getconfigurationparams" id="id-4.3_getconfigurationparams"></a>

This method retrieves the configuration parameters from the server as an XML data. The method will throw an exception if there is a problem with retrieving the configuration XML.

```
public String getConfigurationParams( 
    String model, 
    ProcessMessageResponse messageReponse) throws MTSCRAException
```

Parameters:

<table data-header-hidden><thead><tr><th width="194.9090576171875" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">model</td><td valign="top">String value containing the device model.</td></tr><tr><td valign="top">messageResponse</td><td valign="top">ProcessMessageResponse containing the configuration parameters.</td></tr></tbody></table>

Return Value:

String value of the configuration parameters for the specified device model.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-android/mtscraconfig-class-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
